# mod_analyst:

mod_analyst is a command line utility to add/remove DAs and AODs from the
`qa_staff` table in the database.

It is recommended that you have the `CAPO_PROFILE`
environment variable set, otherwise you will need to provide the path to the
CAPO file with the database login information.

## Usage
```
usage: mod_analyst -name "First Last" [-aod] [-email EMAIL] [-rm] [-ssl] [-port PORT] [-dbname DATABASE_NAME] [-host DATABASE_HOST] [-prop CAPO_PATH]

Add or remove DAs and AODs from the qa_staff table in the database

    -name   Provide the name of the analyst, with quotes for more than one name i.e. "First Last"
    -aod    Flag to add the user as an AOD. When not included they are added as a DA
    -email  Provide the user's email
    -rm     Remove the user instead of adding them
    -ssl    Use SSL when connecting to the database (typically not needed)
    -port   Provide a different port for the database (default 5432)
    -dbname Provide the name of the database (default 'archive')
    -host   Provide the name of the host where the database is located (default $HOSTNAME)
    -prop   Provide the path to the CAPO profile with the database login information (default $CAPO_PROFILE.properties)
```

## Examples

### To add Nathan Bockisch as an aod
1. ssh to the machine hosting the database
2. `mod_analyst -name "Nathan Bockisch" -aod -email "nbockisc@nrao.edu"`

### To remove Nathan Bockisch as an aod
1. ssh to the machine hosting the database
2. `mod_analyst -name "Nathan Bockisch" -rm`
